Debian Bug report logs - #402148
License violation

version graph

Package: latex-xft-fonts; Maintainer for latex-xft-fonts is Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>;

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Fri, 8 Dec 2006 14:18:01 UTC

Severity: serious

Found in version latex-xft-fonts/0.1-5

Fixed in version latex-xft-fonts/0.1-6

Done: Per Olofsson <pelle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: doesn't contain source
Date: Fri, 8 Dec 2006 14:53:43 +0100
Package: latex-xft-fonts
Version: 0.1-5
Severity: serious

Hi,

the package claims in its copyright file:
  These fonts were converted from the LaTeX .pfb forms,
  and are under the respective licenses of the sources.
  
In this case, it would be good if it would be created from the
.pfb-forms "on the fly" during compilation - bugs like 388795 could be
fixed by that way better. "Would be good" means not doing so is a
release critical in this case.

(I'm even wondering if #388795 is not a license violation, as I'm quite
sure without looking the original fonts include "]".)


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #10 received at 402148@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Andreas Barth <aba@not.so.argh.org>
Cc: 402148@bugs.debian.org
Subject: Re: doesn't contain source
Date: Sat, 09 Dec 2006 14:41:43 +0100
Andreas Barth <aba@not.so.argh.org> wrote:

> the package claims in its copyright file:
>   These fonts were converted from the LaTeX .pfb forms,
>   and are under the respective licenses of the sources.
>   
> In this case, it would be good if it would be created from the
> .pfb-forms "on the fly" during compilation - bugs like 388795 could be
> fixed by that way better.

fontforge can probably do that (even automatable, it can be called on
the commandline).

> (I'm even wondering if #388795 is not a license violation, as I'm quite
> sure without looking the original fonts include "]".)

You might be right, because

,----
| [...] the AMS does require that the AMS copyright notice be removed
| from any derivative versions of the fonts which have been altered in
| any way.
`----

However, I don't know whether forgetting one character qualifies as a
derivative version, instead of just being a bug...

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Message #13 received at 402148@bugs.debian.org (full text, mbox):

From: pelle@dsv.su.se (Per Olofsson)
To: lyx-devel@lists.lyx.org
Cc: pkg-lyx-devel@lists.alioth.debian.org
Subject: [Pkg-lyx-devel] Source for latex-xft-fonts?
Date: Tue, 16 Jan 2007 20:11:22 +0100
Hi,

There is a bug filed against the latex-xft-fonts Debian package about
the lack of source code for it (http://bugs.debian.org/402148). This
prevents the package from entering etch (the upcoming stable release
of Debian).

Apparently the fonts have been converted from the corresponding LaTeX
.pfb fonts. Does anyone know how this was done? Is it possible to
automate?

-- 
Pelle

_______________________________________________
Pkg-lyx-devel mailing list
Pkg-lyx-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-lyx-devel



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #18 received at 402148@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: John Levon <levon@movementarian.org>
Cc: lyx-devel@lists.lyx.org, pkg-lyx-devel@lists.alioth.debian.org, 402148@bugs.debian.org, 402148-submitter@bugs.debian.org
Subject: Re: [Pkg-lyx-devel] Re: Source for latex-xft-fonts?
Date: Tue, 16 Jan 2007 21:18:53 +0100
John Levon:
> I've entirely forgotten how I did it, but it definitely involved some
> manual fixing of the fonts. I used some popular open-source font editor,
> which I've also forgotten, and I had to fix some stuff up if I remember
> rightly.

Perhaps fontforge?

> I have no idea what "sources" they're looking for. It's like complaining
> a .jpg doesn't have sources when it's a scanned in photo.

Not exactly, because these fonts have been generated from the original
font files. The thinking is that they have been "compiled" from the
originals. But I'm not sure that's really the case here.

If you had to fix up stuff, and have forgotten exactly how you
generated the fonts, then I think the ttf files actually qualify as
"source" as far as Debian is concerned. Debian's definition of source
code is "preferred form of modification", which these files seem to
be.

> One solution might be to add the missing families to Mozilla's TTF
> fonts, and get them working with LyX?

I'm not familiar with these fonts so I can't say.

-- 
Pelle



Message sent on to Andreas Barth <aba@not.so.argh.org>:
Bug#402148. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Georg Baum <Georg.Baum@post.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #26 received at 402148@bugs.debian.org (full text, mbox):

From: Georg Baum <Georg.Baum@post.rwth-aachen.de>
To: 402148@bugs.debian.org
Subject: Fwd: Re: Source for latex-xft-fonts?
Date: Tue, 16 Jan 2007 21:22:52 +0100
Forgot to CC the bug tracker.

----------  Weitergeleitete Nachricht  ----------

Subject: Re: Source for latex-xft-fonts?
Date: Dienstag, 16. Januar 2007 20:59
From: Georg Baum <Georg.Baum@post.rwth-aachen.de>
To: lyx-devel@lists.lyx.org

Am Dienstag, 16. Januar 2007 20:36 schrieb John Levon:
> On Tue, Jan 16, 2007 at 08:11:22PM +0100, Per Olofsson wrote:
> 
> > There is a bug filed against the latex-xft-fonts Debian package about
> > the lack of source code for it (http://bugs.debian.org/402148). This
> > prevents the package from entering etch (the upcoming stable release
> > of Debian).
> > 
> > Apparently the fonts have been converted from the corresponding LaTeX
> > .pfb fonts. Does anyone know how this was done? Is it possible to
> > automate?
> 
> I've entirely forgotten how I did it, but it definitely involved some
> manual fixing of the fonts. I used some popular open-source font editor,
> which I've also forgotten, and I had to fix some stuff up if I remember
> rightly.

You probably used fontforge (formerly called PFAEdit IIRC).

> I have no idea what "sources" they're looking for. It's like complaining
> a .jpg doesn't have sources when it's a scanned in photo.

No, it is rather like looking for the source of a jpeg that somebody 
created by manually modifying another one. This cannot be automated 
either.

To me the ttf fonts look like a derived work of the original pfb versions. 
So, these could be considered as source, but the normal way of automated 
building from source would not work, so it would be pointless. AFAIK the 
original pfb fonts are under the LPPL, so I think the following would 
work:

- The ttf files are considered as source technically.
- The README documents that they were converted from the .pfb files and 
polished manually after that.
- The README documents where to get the .pfb files (required by the LPPL).

IANAL, but I see no reason why this would not work.


Georg



-------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #31 received at 402148@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: debian-release@lists.debian.org
Cc: 402148@bugs.debian.org, pkg-lyx-devel@lists.alioth.debian.org
Subject: latex-xft-fonts
Date: Sat, 27 Jan 2007 14:01:18 +0100
Hi,

latex-xft-fonts currently can't enter etch because of bug #402148
("doesn't contain source"). However, I would like to downgrade this
bug and ask you to let the package enter etch. The reason is that the
ttf files are the actual source for latex-xft-fonts (see the bug log),
they are only a derived work of the (free) original LaTeX fonts.

Although I'm not listed as the maintainer of the package, I am part of
the team now maintaining LyX. Piotr Roszatycki used to maintain LyX,
but hasn't been the maintainer for a long time, so the LyX team should
probably take over latex-xft-fonts as well (the upstream source is the
same as LyX).

What do you think? It would be very useful to have latex-xft-fonts in
etch, and it is pretty stable.

-- 
Pelle



Reply sent to Per Olofsson <pelle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 402148-done@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: 402148-done@bugs.debian.org
Subject: Closing this bug now
Date: Sun, 28 Jan 2007 13:41:37 +0100
I'm closing this bug now, because it clearly isn't a bug. See the bug
report log for details.

-- 
Pelle



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #41 received at 402148@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Per Olofsson <pelle@debian.org>
Cc: 402148@bugs.debian.org
Subject: Re: Closing this bug now
Date: Sun, 28 Jan 2007 21:14:37 +0100
reopen 402148
found 0.1-5
retitle 402148 License violation
clone 402148 -1
severity -1 minor
retitle -1 Should be automatically generated from pfb source
thanks

Per Olofsson <pelle@debian.org> wrote:

> I'm closing this bug now, because it clearly isn't a bug. See the bug
> report log for details.

Sorry, this is simply not true.  For example, the bug log contains this:

,----
| > (I'm even wondering if #388795 is not a license violation, as I'm quite
| > sure without looking the original fonts include "]".)
| 
| You might be right, because
| 
| ,----
| | [...] the AMS does require that the AMS copyright notice be removed
| | from any derivative versions of the fonts which have been altered in
| | any way.
| `----
| 
| However, I don't know whether forgetting one character qualifies as a
| derivative version, instead of just being a bug...
`----

Meanwhile, you or upstream claim that the ttf version has been manually
altered considerably, is to be considered a derived version, and hence
the pfb files are not the source, but the ttf files themselves are.

Well, in this case this bug may not be a "source is missing" RC bug, but
it's still a "license violation" RC bug.  Earlier in this bug Georg Baum
said that the original pfb fonts are under the LPPL, but this is wrong -
most are under an individual unnamed license.  Part of it is quoted
above and requires to remove the AMS copyright notice from derivative
versions, which has not been done with the latex-xft-fonts package.


Moreover, I think even the "source is missing" issue is still a bug,
even if not RC.  The copyright file states that the pfb files have been
"hinted and touched up with FontLab v.3.0c".  Hinting and other changes
can also be scripted, and it would be a nice thing to do that automated
with fontforge, starting from the pfb files.  I would regard this as
wishlist, or minor, but I don't think this part of the bug should be
closed. 


Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug reopened, originator not changed. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 402148 cloned as bug 408865. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #52 received at 402148@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: Frank Küster <frank@kuesterei.ch>
Cc: 402148@bugs.debian.org
Subject: Re: Closing this bug now
Date: Sun, 28 Jan 2007 21:51:32 +0100
Frank Küster:
> Well, in this case this bug may not be a "source is missing" RC bug, but
> it's still a "license violation" RC bug.  Earlier in this bug Georg Baum
> said that the original pfb fonts are under the LPPL, but this is wrong -
> most are under an individual unnamed license.  Part of it is quoted
> above and requires to remove the AMS copyright notice from derivative
> versions, which has not been done with the latex-xft-fonts package.

OK, I will fix this then.

> Moreover, I think even the "source is missing" issue is still a bug,
> even if not RC.  The copyright file states that the pfb files have been
> "hinted and touched up with FontLab v.3.0c".  Hinting and other changes
> can also be scripted, and it would be a nice thing to do that automated
> with fontforge, starting from the pfb files.  I would regard this as
> wishlist, or minor, but I don't think this part of the bug should be
> closed. 

Right.

-- 
Pelle



Reply sent to Per Olofsson <pelle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 402148-close@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: 402148-close@bugs.debian.org
Subject: Bug#402148: fixed in latex-xft-fonts 0.1-6
Date: Sun, 28 Jan 2007 21:17:04 +0000
Source: latex-xft-fonts
Source-Version: 0.1-6

We believe that the bug you reported is fixed in the latest version of
latex-xft-fonts, which is due to be installed in the Debian FTP archive:

latex-xft-fonts_0.1-6.diff.gz
  to pool/main/l/latex-xft-fonts/latex-xft-fonts_0.1-6.diff.gz
latex-xft-fonts_0.1-6.dsc
  to pool/main/l/latex-xft-fonts/latex-xft-fonts_0.1-6.dsc
latex-xft-fonts_0.1-6_all.deb
  to pool/main/l/latex-xft-fonts/latex-xft-fonts_0.1-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402148@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Per Olofsson <pelle@debian.org> (supplier of updated latex-xft-fonts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 28 Jan 2007 22:02:44 +0100
Source: latex-xft-fonts
Binary: latex-xft-fonts
Architecture: source all
Version: 0.1-6
Distribution: unstable
Urgency: medium
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Changed-By: Per Olofsson <pelle@debian.org>
Description: 
 latex-xft-fonts - Xft-compatible versions of some LaTeX fonts
Closes: 402148
Changes: 
 latex-xft-fonts (0.1-6) unstable; urgency=medium
 .
   * Medium urgency due to RC bugfix.
   * Change Maintainer to Debian LyX Maintainers, and add myself to
     Uploaders.
   * Remove mentions of AMS from the copyright file, since the font is a
     derivative work. The previous copyright notice required this if the
     font has been modified. Closes: #402148.
Files: 
 0ab7beb49b4f61564c69a96bc94767cc 652 tex extra latex-xft-fonts_0.1-6.dsc
 97dcf704e31f7eb0c1475428f751868c 4900 tex extra latex-xft-fonts_0.1-6.diff.gz
 45f819faeeacf81e1091310bfe603c83 95890 tex extra latex-xft-fonts_0.1-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFvRFOeDAsS42/7C8RAoREAJ4va5Tm+972WfRFGicx8RDuLe8W2ACdFuyU
3+6nz4FAKx92TnUn0A+mCyg=
=AQwh
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>:
Bug#402148; Package latex-xft-fonts. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 402148@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: debian-release@lists.debian.org, 402148@bugs.debian.org, pkg-lyx-devel@lists.alioth.debian.org
Subject: Re: latex-xft-fonts
Date: Sat, 10 Feb 2007 19:26:23 +0100
[Message part 1 (text/plain, inline)]
Per Olofsson wrote:
> Hi,
> 
> latex-xft-fonts currently can't enter etch because of bug #402148
> ("doesn't contain source"). However, I would like to downgrade this
> bug and ask you to let the package enter etch. The reason is that the
> ttf files are the actual source for latex-xft-fonts (see the bug log),
> they are only a derived work of the (free) original LaTeX fonts.
> 
> Although I'm not listed as the maintainer of the package, I am part of
> the team now maintaining LyX. Piotr Roszatycki used to maintain LyX,
> but hasn't been the maintainer for a long time, so the LyX team should
> probably take over latex-xft-fonts as well (the upstream source is the
> same as LyX).
> 
> What do you think? It would be very useful to have latex-xft-fonts in
> etch, and it is pretty stable.

Sorry, freeze time is not the time to reintroduce a package in testing.

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:58:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:44:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.